#ifndef TABLEVIEW_H
#define TABLEVIEW_H

#include <QtGui>
#include <QWidget>
#include <QTableView>
#include <QStandardItemModel>
#include <QStandardItem>
#include <QString>

class tableView : public QWidget
{
    Q_OBJECT
public:
    tableView(QWidget *parent = 0);

private:
    QTableView *tblv;
    QLabel *label1, *label2;
    QLineEdit *lineeRow, *lineeCol;
    QPushButton *btnApply;
    int nrow, ncol;

    QHeaderView *horizontalHeader;
    QHeaderView *verticalHeader;
    QAction *copyAction;
    QAction *pasteAction;

    bool boolGetItemTableView(QTableView *table);

private slots:
    void btnApply_clicked();
    void tablev_customContextMenu( const QPoint& );
    void aCopy();
    void aPaste();
};

#endif // TABLEVIEW_H
